bcr_test_module:
  module_path: ""
  matrix:
    bazel: [ 7.x, 8.x ]
  tasks:
    web_testing_java_ubuntu2004:
      name: "rules_web_testing_java in ubuntu"
      platform: ubuntu2004
      bazel: ${{ bazel }}
      shell_commands:
      - "sh ./.bazelci/setup_ubuntu.sh"
      test_flags:
      - "--test_tag_filters=-noci,-sauce"
      build_targets: [ "//..." ]
      test_targets: [ "//..." ]
    web_testing_java_windows:
      name: "rules_web_testing_java in windows"
      platform: windows
      bazel: ${{ bazel }}
      test_flags:
      - "--test_tag_filters=-noci,-sauce"
      build_targets: [ "//..." ]
      test_targets: [ "//..." ]
